cppcms::rpc::call_error Class Reference

The error thrown in case of bad call - parameters mismatch or invalid request. More...

`#include <cppcms/rpc_json.h>`

Inheritance diagram for cppcms::rpc::call_error:

## Public Member Functions

| call_error (std::string const &message)
Public Member Functions inherited from cppcms::cppcms_error
| cppcms_error (int err, std::string const &error)
| cppcms_error (std::string const &error)
Public Member Functions inherited from booster::runtime_error
| runtime_error (std::string const &s)
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members

Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

The error thrown in case of bad call - parameters mismatch or invalid request.

User should may throw it case of a error as invalid request inside the method. However return_error() is preferred.

## Constructor & Destructor Documentation

cppcms::rpc::call_error::call_error | ( | std::string const & | message | ) |

Define error message

The documentation for this class was generated from the following file:

- cppcms/rpc_json.h